LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
TextHit Struct Reference

This structure contains hit information for XTextLayout. More...

`import"TextHit.idl";`

## Public Attributes
long | EntryIndex
| This contains the entry index. More...
boolean | IsLeadingEdge
| This member denotes whether the hit was on the leading edge. More...

## Detailed Description

This structure contains hit information for XTextLayout.

This structure is used from the XTextLayout interface to transport information regarding hit tests.

Since
  OOo 2.0

## Member Data Documentation

## ◆ EntryIndex

long EntryIndex

This contains the entry index.

The entry index is the index of the insertion point in the character sequence. The insertion point denotes positions between the actual characters in the string, and can thus have values ranging from 0 up to the number of characters in the string. Hereby, an index of 0 denotes an insertion position before the first character, and an index containing the number of characters denotes an insertion behind the last character.

## ◆ IsLeadingEdge

boolean IsLeadingEdge

This member denotes whether the hit was on the leading edge.

Each character is divided in two halves, the leading and the trailing part. The leading edge is the part of the glyph encountered first when reading text of the corresponding language (i.e. the leading edge of an Arabic glyph is the right half of it, whereas it is the left half of a Latin character). If the hit was on the leading edge, this member is set to `TRUE`.

The documentation for this struct was generated from the following file:

- com/sun/star/rendering/TextHit.idl